<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Warmtepomp luchtvochtigheid</title>
<script src="libs/amcharts/amcharts.js" type="text/javascript"></script>
<script src="libs/amcharts/gauge.js" type="text/javascript"></script>

<?php include 'warmtepomp_hum.php' ?>

<script type="text/javascript">
    
// Inladen gegevens warmtepomp
var HUM_REL = <?php echo $HUM_REL; ?>;
var TH = <?php echo $TH; ?>;
var TM = <?php echo $TM; ?>;
var TS = <?php echo $TS; ?>;
var DY = <?php echo $DY; ?>;
var DM = <?php echo $DM; ?>;
var DD = <?php echo $DD; ?>;

var chart;
var arrow;
var axis;

AmCharts.ready(function () {
    // create angular gauge
    chart = new AmCharts.AmAngularGauge();
    chart.addTitle("Luchtvochtigheid binnen in %\r\n(RV-in)");

    // create axis
    axis = new AmCharts.GaugeAxis();
    axis.startValue = 0;
    axis.axisThickness = 1;
    axis.valueInterval = 10;
    axis.endValue = 100;
    
    // color bands
    var band1 = new AmCharts.GaugeBand();
    band1.startValue = 0;
    band1.endValue = 30;
    band1.color = "#FF0000";

    var band2 = new AmCharts.GaugeBand();
    band2.startValue = 30;
    band2.endValue = 40;
    band2.color = "#FFA500";

    var band3 = new AmCharts.GaugeBand();
    band3.startValue = 40;
    band3.endValue = 60;
    band3.color = "#00FF00";
    band3.innerRadius = "92%";

    var band4 = new AmCharts.GaugeBand();
    band4.startValue = 60;
    band4.endValue = 70;
    band4.color = "#00C5CD";

    var band5 = new AmCharts.GaugeBand();
    band5.startValue = 70;
    band5.endValue = 90;
    band5.color = "#0000FF";

    var band6 = new AmCharts.GaugeBand();
    band6.startValue = 90;
    band6.endValue = 100;
    band6.color = "#800080";
    
    axis.bands = [band1, band2, band3, band4, band5, band6];

    // bottom text
    axis.bottomTextYOffset = -20;
    axis.setBottomText(pad(DD, 2) + "-" + pad(DM, 2) + "-" + DY + "\r\n" + pad(TH, 2) + ":" + pad(TM, 2) + ":" + pad(TS, 2));
    chart.addAxis(axis);
    
    // gauge arrow
    arrow = new AmCharts.GaugeArrow();
    chart.addArrow(arrow);

    chart.write("chartdiv");
    arrow.setValue(HUM_REL);
});

// functie voor voorloopnullen bij getallen
function pad(num, size) {
    var s = num+"";
    while (s.length < size) s = "0" + s;
    return s;
}

</script>
</head>

<body>
<div id="chartdiv" style="width:250px; height:350px;"></div>
</body>

</html>